Package net.rubygrapefruit.platform

# Class ResourceClosedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
net.rubygrapefruit.platform.NativeException
net.rubygrapefruit.platform.ResourceClosedException

All Implemented Interfaces:
  `Serializable`

public class ResourceClosedException extends NativeException
Thrown when attempting to use some resource has been closed.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResourceClosedException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceClosedException

public ResourceClosedException(String message)